Setup:Systemanforderungen: Unterschied zwischen den Versionen

[freigegebene Version][freigegebene Version]
K (Rechtschreibfehler)
(Versionen fixiert)



Für den problemlosen Betrieb in der aktuellen Version BlueSpice 3.1 empfehlen wir die folgenden Systemanforderungen. Die Anwendung von BlueSpice wird von Hallo Welt! unter Windows und Linux getestet.

MediaWiki[Bearbeiten | Quelltext bearbeiten]

  • Version 1.31.x (LTS - Long Term Support)

Browser[Bearbeiten | Quelltext bearbeiten]

  • Internet Explorer 11 oder höher (ohne Kompatibilitätsansicht)
  • Microsoft Edge
  • Google Chrome
  • Firefox

Serverumgebung[Bearbeiten | Quelltext bearbeiten]

  • Betriebssystem: Microsoft Windows Server 2012+ oder Linux (gängige Distributionen)
  • Webserver: Apache 2+, nginx 1+.x(*) oder IIS 8+ , 9, 10 (*)nginx in WikiFarm nicht möglich
  • PHP 7.2+.x, 7.3.x
  • MySQL 5.6+ oder MariaDB 10+.x
  • Hauptspeicher: 16GB (minimal 8GB)
  • Freier Festplattenspeicher: > 20 GB (abhängig von der geplanten Speicherdatenmenge)
  • CPU: 8 (minimal 4) Kerne
  • Apache Tomcat 8 oder Jetty 9 (für PDF Export, Versionsvergleich und LaTexRenderer)
  • ElasticSearch 6.x mit Plugin "ingest-attachment"
  • Java 8+ .x oder OpenJDK 10+.x
  • NodeJS 8+.x, 9.x, 10.x

Datenbankzugänge[Bearbeiten | Quelltext bearbeiten]

  • Host/IP-Adresse und Port
  • Benutzername und Passwort für den Root-User (Create/Drop-Statements) und den Wiki-User
    (wurde ggf. während der Installation von MediaWiki angelegt)
  • Name der genutzten Datenbank
  • Das Tabellen-Präfix in der genutzten Datenbank


{{DISPLAYTITLE:Systemanforderungen 3.1}}
        

        __NOTOC__
        

        Für den problemlosen Betrieb in der aktuellen Version BlueSpice 3.1 empfehlen wir die folgenden Systemanforderungen. Die Anwendung von BlueSpice wird von Hallo Welt! unter Windows und Linux getestet. 
        

        ==MediaWiki==
        

        *Version 1.31.x (LTS - Long Term Support)
        

        ==Browser==
        

        *Internet Explorer 11 oder höher (ohne Kompatibilitätsansicht)
        
        *Microsoft Edge
        
        *Google Chrome
        
        *Firefox
        

        ==Serverumgebung==
        

        *Betriebssystem: Microsoft Windows Server 2012+ oder Linux (gängige Distributionen)
        
        *Webserver: Apache 2+, nginx 1+.x<sup>(*)</sup> oder IIS 8+     , 9, 10     <sup>(*)</sup>''nginx in WikiFarm nicht möglich''
        
        *PHP 7.2+
            .x, 7.3.x
            *MySQL 5.6+ oder MariaDB 10+.x
        
        *Hauptspeicher: 16GB (minimal 8GB)
        
        *Freier Festplattenspeicher: > 20 GB (abhängig von der geplanten Speicherdatenmenge)
        
        *CPU: 8 (minimal 4) Kerne
        
        *Apache Tomcat 8 oder Jetty 9 (für PDF Export, Versionsvergleich und LaTexRenderer)
        
        *ElasticSearch 6.x mit Plugin "ingest-attachment"
        
        *Java 8+.x oder OpenJDK 10+.x
        
        *NodeJS 8+.x, 9.x, 10.x<br />
        

        ==Datenbankzugänge==
        

        *Host/IP-Adresse und Port
        
        *Benutzername und Passwort für den Root-User (Create/Drop-Statements) und den Wiki-User <br />(wurde ggf. während der Installation von MediaWiki angelegt)
        
        *Name der genutzten Datenbank
        
        *Das Tabellen-Präfix in der genutzten Datenbank
        
<br />
        
<bs:universalexport:noexport>
        
        ==Archiv: Systemanforderungen älterer BlueSpice Versionen==
        
        * [[Media:BlueSpice_Systemanforderungen_V301.pdf|BlueSpice Version 3.0.1]]
        
        * [[Media:BlueSpice_Systemanforderungen_V2273.pdf|BlueSpice Version 2.27.3]]
        
        * [[Media:BlueSpice_Systemanforderungen_V2272.pdf|BlueSpice Version 2.27.2]]
        
        * [[Media:BlueSpice_Systemanforderungen_V2271.pdf|BlueSpice Version 2.27.1]]
        
        * [[Media:BlueSpice_Systemanforderungen_V2270.pdf|BlueSpice Version 2.27.0]]
        
        * [[Media:BlueSpice_Systemanforderungen_V2233.pdf|BlueSpice Version 2.23.3]]
        
        * [[Media:BlueSpice_Systemanforderungen_V2232.pdf|BlueSpice Version 2.23.2]]
        
        * [[Media:BlueSpice_Systemanforderungen_V222x.pdf|BlueSpice Version 2.22.x]]
        
        * [[Media:BlueSpice_Systemanforderungen_V1210.pdf|BlueSpice Version 1.21.0]]
        </bs:universalexport:noexport>
        
        [[de:{{FULLPAGENAME}}]]
        
        [[en:Setup:System_requirements]]
        
        [[Category:Setup]]
Zeile 19: Zeile 19:
  
 
*Betriebssystem: Microsoft Windows Server 2012+ oder Linux (gängige Distributionen)
 
*Betriebssystem: Microsoft Windows Server 2012+ oder Linux (gängige Distributionen)
*Webserver: Apache 2+, nginx 1+<sup>(*)</sup> oder IIS 8+     <sup>(*)</sup>''nginx in WikiFarm nicht möglich''
+
*Webserver: Apache 2, nginx 1.x<sup>(*)</sup> oder IIS 8, 9, 10     <sup>(*)</sup>''nginx in WikiFarm nicht möglich''
*PHP 7.2+
+
*PHP 7.2.x, 7.3.x
*MySQL 5.6+ oder MariaDB 10+
+
*MySQL 5.6+ oder MariaDB 10.x
 
*Hauptspeicher: 16GB (minimal 8GB)
 
*Hauptspeicher: 16GB (minimal 8GB)
 
*Freier Festplattenspeicher: > 20 GB (abhängig von der geplanten Speicherdatenmenge)
 
*Freier Festplattenspeicher: > 20 GB (abhängig von der geplanten Speicherdatenmenge)
Zeile 27: Zeile 27:
 
*Apache Tomcat 8 oder Jetty 9 (für PDF Export, Versionsvergleich und LaTexRenderer)
 
*Apache Tomcat 8 oder Jetty 9 (für PDF Export, Versionsvergleich und LaTexRenderer)
 
*ElasticSearch 6.x mit Plugin "ingest-attachment"
 
*ElasticSearch 6.x mit Plugin "ingest-attachment"
*Java 8+ oder OpenJDK 10+
+
*Java 8.x oder OpenJDK 10.x
*NodeJS 8+<br />
+
*NodeJS 8.x, 9.x, 10.x<br />
  
 
==Datenbankzugänge==
 
==Datenbankzugänge==

Anhänge

Diskussionen